REST Auth API: Contacts
Contact resources represent an individual or person entity within the platform. A contact may be a registrant on an event, a presenter, a system administrator, or all of these.
Contacts are described by a name, email, integration codes and phone numbers. In addition to this basic information, contacts have a number of linked sub-resources that describe other details such as their postal address, job and organisation, registrations and marketing details.
This resource supports retrieval of individual contact instances, collections of contacts (with filters), creating new contacts, and updating existing contacts.
This entity also supports CustomFields.
Common tasks
- List contacts (including with filters) (HTTP GET)
- Fetch a contact by ID (HTTP GET)
- Update a contact (HTTP PUT / HTTP PATCH)
- Create a new contact (HTTP POST)
Merged contacts
Integrators keeping contacts synchronised with an external system should note that some records can be deleted without notice due to merges between two contact resources.
HTTP GET requests to resources moved due to a merge will return a HTTP 308 Permanent Redirect status with headers referring to the
merged contact URI and the original ContactMergeRequest. To keep the external system consistent, integrators should query both this resource and also the ContactMergeRequests resource to identify
merge operations that will have moved tracked contact records.
Contacts instance resource
Resource URI
/api/2012-02-01/auth/resources/contacts/{ContactID}/
General structure
<Contact> <ContactID>562</ContactID> <UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier> <FirstName>Barry</FirstName> <LastName>Jones</LastName> <Email>barry@example.org</Email> <CodePrimary>JONESBA01</CodePrimary> <PhoneWork>04 9700 19332</PhoneWork> <PhoneHome>04 9712 00234</PhoneHome> <PhoneMobile>021 1234 56890</PhoneMobile> <Status>Active</Status> <CreatedDateTime>2011-10-17T03:51:29.5770000Z</CreatedDateTime> <LastModifiedDateTime>2011-10-19T02:55:42.4120000Z</LastModifiedDateTime> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Tags" type="application/xml" title="Tags" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/tags/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/postaladdress/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/employment/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TimeZone" type="application/xml" title="TimeZone" href="https://demo.arlo.co/api/2012-02-01/auth/resources/timezones/2/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/integrationdata/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Registrations" type="application/xml" title="Registrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/registrations/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/regions/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Marketing" type="application/xml" title="Marketing" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/marketing/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PresenterIdentity" type="application/xml" title="PresenterIdentity" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/presenteridentity/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/security/"/> </Contact>
Resource properties
| Property | Description |
|---|---|
| ContactID | An integer value that uniquely identifies this resource within the platform. This value is read-only. |
| UniqueIdentifier | A GUID value that uniquely identifies this resource across any platform. This value is read-only. |
| FirstName | A string representing the first name of this individual, up to 32 characters long. |
| LastName | A string representing the last name of this individual, up to 32 characters long. |
| A string representing the email of this individual, up to 128 characters long. | |
| PhoneWork | A string representing the work contact phone number of this individual, up to 32 characters long. |
| PhoneHome | A string representing the home contact phone number of this individual, up to 32 characters long. |
| PhoneMobile | A string representing the home contact mobile phone number of this individual, up to 32 characters long. |
| CodePrimary | A string representing an internal (primary) code used to reference this contact, up to 50 characters long. This property is useful for storing and managing identifier values from external systems. |
| Status | A ContactStatus value representing the current state of this contact, such as active or inactive (archived). |
| CreatedDateTime | A UTC DateTime value indicating when this resource was created. This value is read-only. |
| LastModifiedDateTime | A UTC DateTime value indicating when this resource was last modified. This value is read-only. |
Related resource links
| Link (title) | Description |
|---|---|
| CustomFields | Reference to CustomFields associated with this contact. |
| Tags | Reference to a collection of Tags associated with this contact. |
| PostalAddress | Reference to an Address resource representing the postal address for this contact. |
| Employment | Reference to a ContactEmployment resource representing details regarding the position and Organisation that employs this contact. |
| TimeZone | Reference to a TimeZone resource representing the preferred/local time zone for this contact. |
| Regions | Reference to a collection of Region links representing the regions this contact is associated with. |
| IntegrationData | Reference to a IntegrationData resource containing integration-specific attributes for this contact. |
| Registrations | Reference to a collection of Registration links representing registrations associated with this contact. Note this link does not support inline expansion. |
| Marketing | Reference to a ContactMarketing resource link representing marketing data associated with this contact. |
| PresenterIdentity | Reference to a ContactPresenterIdentity resource link representing presenter information associated with this contact. Available only if the contact is (or has previously been) a presenter of one or more events. Omitted if the contact has no presenter information. |
| Security | Reference to a ContactSecurity resource link representing security information associated with this contact. |
HTTP GET
Returns a representation of a Contact, including the properties and links above.
Optional parameters
| Parameter | Description |
|---|---|
| expand | Expression referencing Link elements to expand when generating the response. See link expansion. |
Response
See HTTP response status codes for a general overview of all possible API status codes. Common response codes for GET operations are listed below.
| Status | Description |
|---|---|
| 200 OK | Resource was successfully retrieved. |
| 308 Permanent Redirect |
Contact has been merged with another resource. HTTP response will contain two headers:
|
Example 1 - basic retrieval (no link expansion)
GET /api/2012-02-01/auth/resources/contacts/562/
<Contact> <ContactID>562</ContactID> <UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier> <FirstName>Barry</FirstName> <LastName>Jones</LastName> <Email>barry@example.org</Email> <CodePrimary>JONESBA01</CodePrimary> <Status>Active</Status> <CreatedDateTime>2011-10-17T03:51:29.5770000Z</CreatedDateTime> <LastModifiedDateTime>2011-10-19T02:55:42.4120000Z</LastModifiedDateTime> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Tags" type="application/xml" title="Tags" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/tags/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/postaladdress/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/employment/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TimeZone" type="application/xml" title="TimeZone" href="https://demo.arlo.co/api/2012-02-01/auth/resources/timezones/2/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/integrationdata/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Registrations" type="application/xml" title="Registrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/registrations/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/regions/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Marketing" type="application/xml" title="Marketing" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/marketing/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/security/"/> </Contact>
Example 2 - with link expansion
Retrieve a contact instance with PostalAddress, CustomFields, Employment, and Tags link expansion.
GET /api/2012-02-01/auth/resources/contacts/562/?expand=PostalAddress,CustomFields,Employment,Tags
<Contact>
<ContactID>562</ContactID>
<UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier>
<FirstName>Barry</FirstName>
<LastName>Jones</LastName>
<Email>barry@example.org</Email>
<CodePrimary>JONESBA01</CodePrimary>
<Status>Active</Status>
<CreatedDateTime>2011-10-17T03:51:29.5770000Z</CreatedDateTime>
<LastModifiedDateTime>2011-10-19T02:55:42.4120000Z</LastModifiedDateTime>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/?expand=PostalAddress%2CCustomFields%2CEmployment%2CTags"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/">
<CustomFields>
<Field>
<Name>MembershipType</Name>
<Value>
<String>Annual</String>
</Value>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/FieldDescription" type="application/xml" title="FieldDescription" href="https://demo.arlo.co/api/2012-02-01/auth/resources/fielddescriptions/f3a12b45-6c78-9de0-f1a2-b3c4d5e6f7a8/"/>
</Field>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/"/>
</CustomFields>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Tags" type="application/xml" title="Tags" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/tags/">
<Tags>
<Tag>Contractor</Tag>
<Tag>WeekendsOnly</Tag>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/tags/"/>
</Tags>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/postaladdress/">
<Address>
<StreetLine1>98 Wallacetown Quay</StreetLine1>
<City>Metropolis</City>
<PostCode>9332</PostCode>
<Country>New Zealand</Country>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/postaladdress/"/>
</Address>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/employment/">
<ContactEmployment>
<Position>Senior Developer</Position>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/employment/"/>
</ContactEmployment>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TimeZone" type="application/xml" title="TimeZone" href="https://demo.arlo.co/api/2012-02-01/auth/resources/timezones/2/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/integrationdata/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Registrations" type="application/xml" title="Registrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/registrations/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/regions/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Marketing" type="application/xml" title="Marketing" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/marketing/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/security/"/>
</Contact>
HTTP POST
Not supported.
HTTP PUT
Performs an update of a Contact by replacing the entire representation with a new copy.
Use HTTP PATCH if you only want to submit updates to specific fields.
The submitted Contact representation must be complete. Omitted properties will be updated to null, and omitted links
(such as addresses and employment information) will deleted if they previously existed.
Ensure you always use HTTP PUT with a modified payload from a HTTP GET that includes the changes you need. Don't ever build a HTTP PUT payload from scratch as any extra elements you miss (such as those added in newer API releases your code doesn't handle) will be treated as explicit data deletion requests and may result in unintended data corruption.
Response
See HTTP response status codes for a general overview of all possible API status codes. Common response codes for PUT operations are listed below.
| Status | Description |
|---|---|
| 200 OK | Resource was successfully updated. |
| 400 Bad Request | HTTP request body contains malformed or invalid parameters. |
| 409 Conflict | Resource could not be updated because it contains values that conflict with those on the server. |
Example 1
Simple update of an existing contact. The operation also includes a new PostalAddress for the contact, overwriting any previous value.
PUT https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/ HTTP/1.1
Accept: application/xml
Accept-Encoding: gzip, deflate
Content-Type: application/xml
Content-Length: 1769
<Contact>
<ContactID>562</ContactID>
<UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier>
<FirstName>Barry</FirstName>
<LastName>Jones</LastName>
<Email>barry@example.org</Email>
<CodePrimary>JONESBA01</CodePrimary>
<Status>Active</Status>
<CreatedDateTime>2011-10-17T03:51:29.5770000Z</CreatedDateTime>
<LastModifiedDateTime>2011-10-19T02:55:42.4120000Z</LastModifiedDateTime>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Tags" type="application/xml" title="Tags" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/tags/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/postaladdress/">
<Address>
<StreetLine1>98 Wallacetown Quay</StreetLine1>
<StreetLine2>PO Box 98442</StreetLine2>
<SuburbOrRegion>Northcote</SuburbOrRegion>
<City>Metropolis</City>
<PostCode>9332</PostCode>
<Country>New Zealand</Country>
</Address>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/employment/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TimeZone" type="application/xml" title="TimeZone" href="https://demo.arlo.co/api/2012-02-01/auth/resources/timezones/2/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/integrationdata/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Registrations" type="application/xml" title="Registrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/registrations/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/regions/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Marketing" type="application/xml" title="Marketing" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/marketing/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/security/"/>
</Contact>
Example 2
Simple update of an existing contact. The operation also includes an inline Employment sub-resource with a reference to an existing organisation, overwriting any previous employment information.
PUT https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/ HTTP/1.1
Accept: application/xml
Accept-Encoding: gzip, deflate
Content-Type: application/xml
Content-Length: 1234
<Contact>
<ContactID>562</ContactID>
<UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier>
<FirstName>Barry</FirstName>
<LastName>Jones</LastName>
<Email>barry@example.org</Email>
<CodePrimary>JONESBA01</CodePrimary>
<Status>Active</Status>
<CreatedDateTime>2011-10-17T03:51:29.5770000Z</CreatedDateTime>
<LastModifiedDateTime>2011-10-19T02:55:42.4120000Z</LastModifiedDateTime>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Tags" type="application/xml" title="Tags" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/tags/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/postaladdress/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/employment/">
<ContactEmployment>
<Position>Senior Developer</Position>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/>
</ContactEmployment>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TimeZone" type="application/xml" title="TimeZone" href="https://demo.arlo.co/api/2012-02-01/auth/resources/timezones/2/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/integrationdata/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Registrations" type="application/xml" title="Registrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/registrations/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/regions/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Marketing" type="application/xml" title="Marketing" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/marketing/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/security/"/>
</Contact>
Example 3
Update an existing contact, and clear some existing values. Note the XML representation does not include a CodePrimary value, or any Link entities for PostalAddress or Employment. Any existing values for these will be deleted as part of the operation.
PUT https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/ HTTP/1.1 Accept: application/xml Accept-Encoding: gzip, deflate Content-Type: application/xml Content-Length: 936 <Contact> <ContactID>562</ContactID> <UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier> <FirstName>Barry</FirstName> <LastName>Jones</LastName> <Email>barry@example.org</Email> <Status>Active</Status> <CreatedDateTime>2011-10-17T03:51:29.5770000Z</CreatedDateTime> <LastModifiedDateTime>2011-10-19T02:55:42.4120000Z</LastModifiedDateTime> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Tags" type="application/xml" title="Tags" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/tags/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TimeZone" type="application/xml" title="TimeZone" href="https://demo.arlo.co/api/2012-02-01/auth/resources/timezones/2/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/integrationdata/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Registrations" type="application/xml" title="Registrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/registrations/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/regions/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Marketing" type="application/xml" title="Marketing" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/marketing/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/security/"/> </Contact>
HTTP DELETE
Not supported.
HTTP PATCH
Performs a partial update of a Contact by replacing parts of the record with data from the request. See HTTP PATCH partial updates for a general guide to the diff document format, XPath selectors, and worked examples. Note that PATCH requests will be interpreted according to the RBAC permissions of the identity of the user on behalf of whom a request is being made.
Response
See HTTP response status codes for a general overview of all possible API status codes. Common response codes for PATCH operations are listed below.
| Status | Description |
|---|---|
| 200 OK | Resource was successfully updated. |
| 400 Bad Request | HTTP request body contains malformed or invalid parameters. |
| 409 Conflict | Resource could not be updated because it contains values that conflict with those on the server. |
Example 1 - replacing a single property value
Simple update of the email address of an existing contact. Note the RFC style and nature of the XPath selector used in the sel attribute to target a specific part of the object graph for update.
PATCH https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/ HTTP/1.1 Accept: application/xml Accept-Encoding: gzip, deflate Content-Type: application/xml Content-Length: 90 <diff> <replace sel="Contact/Email/text()">barry.jones@example.org</replace> </diff>
Example 2 - adding, removing and replacing multiple properties
Perform multiple operations to replace LastName, add an Employment sub-resource (assumed not present), and remove the existing PhoneMobile value.
Note how the employment details are added by appending a new <Link> containing an inline ContactEmployment entity.
PATCH https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/ HTTP/1.1
Accept: application/xml
Accept-Encoding: gzip, deflate
Content-Type: application/xml
Content-Length: 512
<diff>
<replace sel="Contact/LastName/text()">Jones-Williams</replace>
<add sel="Contact">
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/employment/">
<ContactEmployment>
<Position>Senior Developer</Position>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/>
</ContactEmployment>
</Link>
</add>
<remove sel="Contact/PhoneMobile" />
</diff>
Example 3 - updating a postal address and custom field
Assume we have an existing Contact record with a PostalAddress and an existing custom field called MembershipType:
GET /api/2012-02-01/auth/resources/contacts/562/?expand=CustomFields,PostalAddress
<Contact>
<ContactID>562</ContactID>
<UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier>
<FirstName>Barry</FirstName>
<LastName>Jones</LastName>
<Email>barry@example.org</Email>
<CodePrimary>JONESBA01</CodePrimary>
...
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/">
<CustomFields>
<Field>
<Name>MembershipType</Name>
<Value>
<String>Annual</String>
</Value>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/FieldDescription" type="application/xml" title="FieldDescription" href="https://demo.arlo.co/api/2012-02-01/auth/resources/fielddescriptions/f3a12b45-6c78-9de0-f1a2-b3c4d5e6f7a8/"/>
</Field>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/"/>
</CustomFields>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/postaladdress/">
<Address>
<StreetLine1>98 Wallacetown Quay</StreetLine1>
<City>Metropolis</City>
<PostCode>9332</PostCode>
<Country>New Zealand</Country>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/postaladdress/"/>
</Address>
</Link>
...
</Contact>
Assume we want to:
- Update the existing custom field value
- Add an additional custom field value
- Update the postal address
Submit the following PATCH request to apply the changes (including the ?expand= query parameter):
PATCH https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/?expand=CustomFields,PostalAddress HTTP/1.1
Accept: application/xml
Accept-Encoding: gzip, deflate
Content-Type: application/xml
Content-Length: 1024
<diff>
<!-- 1. Update string value for existing field 'MembershipType' with ID 'f3a12b45-6c78-9de0-f1a2-b3c4d5e6f7a8' -->
<replace sel="Contact/Link[@title='CustomFields']/CustomFields/Field[Name='MembershipType']/Value/String">
<String>Premium</String>
</replace>
<!-- 2. Add new custom field 'PreferredContactMethod' described by FieldDescription with ID 'a4b2c1d0-1234-5678-abcd-ef9012345678' -->
<add sel="Contact/Link[@title='CustomFields']/CustomFields">
<Field>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/FieldDescription" type="application/xml" title="FieldDescription" href="https://demo.arlo.co/api/2012-02-01/auth/resources/fielddescriptions/a4b2c1d0-1234-5678-abcd-ef9012345678/"/>
<Name>PreferredContactMethod</Name>
<Value>
<String>Email</String>
</Value>
</Field>
</add>
<!-- 3. Replace the existing PostalAddress with a new value -->
<remove sel="Contact/Link[@title='PostalAddress']/Address" />
<add sel="Contact/Link[@title='PostalAddress']">
<Address>
<StreetLine1>21 Merchant Drive</StreetLine1>
<SuburbOrRegion>Grafton</SuburbOrRegion>
<City>Auckland</City>
<PostCode>1010</PostCode>
<Country>New Zealand</Country>
</Address>
</add>
</diff>
NOTE: Because the XPath selectors in the diff document target inline sub-resources, the contact must first be retrieved using ?expand=CustomFields,PostalAddress to obtain the expanded representations needed to construct the diff.
Also note that if you want to update only custom fields, you can use the PATCH method on the CustomFields sub-resource instead of the Contact resource (/resources/contacts/{ContactID}/customfields), which may be simpler as it allows you to target the custom fields directly without needing to navigate through the Contact resource structure.
Contact collection resource
The Contact collection resource represents the set of Contact resources on the platform.
Resource URI
/api/2012-02-01/auth/resources/contacts/
HTTP GET
Returns a representation of the collection as a set of Link elements which can be followed to access individual
Contact resources, or link expansion can be used via the expand query parameter to inline the entities with the HTTP GET response. See querying collections for general information on handling resource collections.
Optional parameters
| Parameter | Description |
|---|---|
| expand | Expression referencing Link elements to expand when generating the response. See link expansion. |
| filter |
A filter expression to apply to the collection. See collection filters. The following
properties (and link titles) may be used in filter expressions:
|
| orderby |
A sort expression to apply to the collection. See collection sorting. The following
properties may be used in sort expressions:
|
| skip |
Returns a subset of records from the collection, starting at index N+1 specified by this parameter. The skip and top parameters are generally used for collection paging.
|
| top |
Returns a subset of records from the collection, starting at index 0 or index skip, and returns the first N records. The skip and top parameters are generally used for collection paging.
|
Example 1 - no link expansion
Retrieve a collection of Contact links with the default parameters, and no link expansion.
GET /api/2012-02-01/auth/resources/contacts/?skip=0&top=100
<Contacts> <Link rel="http://schemas.arlo.co/api/2012/02/auth/Contact" type="application/xml" title="Contact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/Contact" type="application/xml" title="Contact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/563/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/Contact" type="application/xml" title="Contact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/564/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/Contact" type="application/xml" title="Contact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/565/"/> ... <Link rel="next" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/?skip=100"/> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/"/> </Contacts>
Example 2 - with filter and link expansion
Retrieve contacts created or modified in the last 24 hours, with Contact, Contact/PostalAddress, Contact/Employment, and Contact/CustomFields link expansion. The filter targets records where either CreatedDateTime or LastModifiedDateTime is after a given UTC datetime.
Avoid polling this endpoint on a regular basis with a date filter in production scenarios. For synchronisation/integration with external systems, use Webhooks instead so that you can receive notifications only when records are created or updated, following our guidelines for keeping an external system in sync.
GET /api/2012-02-01/auth/resources/contacts/?expand=Contact,Contact/PostalAddress,Contact/Employment,Contact/CustomFields&filter=(CreatedDateTime gt datetime('2026-03-31T10:00:00.0000000Z')) or (LastModifiedDateTime gt datetime('2026-03-31T10:00:00.0000000Z'))&skip=0&top=100
<Contacts>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/Contact" type="application/xml" title="Contact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/">
<Contact>
<ContactID>562</ContactID>
<UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier>
<FirstName>Barry</FirstName>
<LastName>Jones</LastName>
<Email>barry@example.org</Email>
<CodePrimary>JONESBA01</CodePrimary>
<Status>Active</Status>
<CreatedDateTime>2026-04-01T08:23:14.2110000Z</CreatedDateTime>
<LastModifiedDateTime>2026-04-01T10:35:22.8430000Z</LastModifiedDateTime>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/">
<CustomFields>
<Field>
<Name>MembershipType</Name>
<Value>
<String>Annual</String>
</Value>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/FieldDescription" type="application/xml" title="FieldDescription" href="https://demo.arlo.co/api/2012-02-01/auth/resources/fielddescriptions/f3a12b45-6c78-9de0-f1a2-b3c4d5e6f7a8/"/>
</Field>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/customfields/"/>
</CustomFields>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Tags" type="application/xml" title="Tags" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/tags/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/postaladdress/">
<Address>
<StreetLine1>98 Wallacetown Quay</StreetLine1>
<City>Metropolis</City>
<PostCode>9332</PostCode>
<Country>New Zealand</Country>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/postaladdress/"/>
</Address>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/employment/">
<ContactEmployment>
<Position>Software Engineer</Position>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/employment/"/>
</ContactEmployment>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TimeZone" type="application/xml" title="TimeZone" href="https://demo.arlo.co/api/2012-02-01/auth/resources/timezones/2/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/integrationdata/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Registrations" type="application/xml" title="Registrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/registrations/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/regions/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Marketing" type="application/xml" title="Marketing" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/marketing/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/562/security/"/>
</Contact>
</Link>
...
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/?expand=Contact%2CContact%2FPostalAddress%2CContact%2FEmployment%2CContact%2FCustomFields&filter=%28CreatedDateTime%20gt%20datetime%28%272026-03-31T10%3A00%3A00.000Z%27%29%29%20or%20%28LastModifiedDateTime%20gt%20datetime%28%272026-03-31T10%3A00%3A00.000Z%27%29%29&skip=0&top=100"/>
</Contacts>
HTTP POST
Creates a new Contact in the collection.
Required request elements
| Parameter | Description |
|---|---|
| FirstName | A string representing the first name of this individual, up to 32 characters long. |
| LastName | A string representing the last name of this individual, up to 32 characters long. |
| A string representing the email of this individual, up to 128 characters long. |
Optional request elements
| Parameter | Description |
|---|---|
| PhoneWork | A string representing the work contact phone number of this individual, up to 32 characters long. |
| PhoneHome | A string representing the home contact phone number of this individual, up to 32 characters long. |
| PhoneMobile | A string representing the mobile phone number of this individual, up to 32 characters long. |
| CodePrimary | A string representing an internal (primary) code used to reference this contact, up to 50 characters long. |
| Status |
A ContactStatus value representing the current state of this contact. Defaults to Active if not specified.
|
Optional request resource links
| Link (title) | Description |
|---|---|
| PostalAddress | Inline Address representation for the postal address of the new contact. |
| Employment | Inline ContactEmployment representation for the employment details of the new contact. |
| TimeZone | Link reference to a TimeZone resource representing the preferred/local time zone for the new contact. |
| Security |
Inline ContactSecurity representation, used to set roles (such as Presenter) for the new contact.
|
| Regions | Link references to Region resources to associate with the new contact. |
| IntegrationData | Inline IntegrationData representation containing integration-specific attributes for the new contact. |
| CustomFields | Inline CustomFields representation containing custom field values for the new contact. |
| Tags | Link references to Tag resources to associate with the new contact. |
Unsupported request elements
The request must not include these read-only, system-managed properties:
ContactIDUniqueIdentifierCreatedDateTimeLastModifiedDateTime
Response
See HTTP response status codes for a general overview of all possible API status codes. Common response codes for POST operations are listed below.
| Status | Description |
|---|---|
| 201 Created | Resource was successfully created. The body of the response will contain the new resource. |
| 400 Bad Request | HTTP request body contains malformed or invalid parameters. |
| 409 Conflict | Resource could not be created because it contains values that conflict with those on the server. |
Example 1 - with basic details
Create a new contact with the minimum required fields only.
POST https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/ HTTP/1.1 Accept: application/xml Accept-Encoding: gzip, deflate Content-Type: application/xml Content-Length: 115 <Contact> <FirstName>Jane</FirstName> <LastName>Smith</LastName> <Email>jane@example.org</Email> </Contact>
HTTP/1.1 201 Created Content-Length: 850 Content-Type: application/xml; charset=utf-8 <Contact> <ContactID>33223</ContactID> <UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier> <FirstName>Jane</FirstName> <LastName>Smith</LastName> <Email>jane@example.org</Email> <Status>Active</Status> <CreatedDateTime>2026-04-01T10:00:00.0000000Z</CreatedDateTime> <LastModifiedDateTime>2026-04-01T10:00:00.0000000Z</LastModifiedDateTime> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/customfields/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Tags" type="application/xml" title="Tags" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/tags/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/postaladdress/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/employment/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/integrationdata/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Registrations" type="application/xml" title="Registrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/registrations/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/regions/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Marketing" type="application/xml" title="Marketing" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/marketing/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/security/"/> </Contact>
Example 2 - with address, organisation, roles, and custom fields
Create a new contact with additional fields, an inline PostalAddress, Employment linked to an existing organisation, a Security role of Presenter, and an inline CustomFields value. The API response will include a PresenterIdentity link because the contact was created with the Presenter role.
POST https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/ HTTP/1.1
Accept: application/xml
Accept-Encoding: gzip, deflate
Content-Type: application/xml
Content-Length: 1769
<Contact>
<FirstName>Jane</FirstName>
<LastName>Smith</LastName>
<Email>jane@example.org</Email>
<CodePrimary>SMITHJ02</CodePrimary>
<PhoneMobile>+64 21 234 5678</PhoneMobile>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress">
<Address>
<StreetLine1>98 Wallacetown Quay</StreetLine1>
<StreetLine2>PO Box 98442</StreetLine2>
<SuburbOrRegion>Northcote</SuburbOrRegion>
<City>Metropolis</City>
<PostCode>9332</PostCode>
<Country>New Zealand</Country>
</Address>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment">
<ContactEmployment>
<Position>Marketing Site Developer</Position>
<EmploymentStatus>Contractor, full time</EmploymentStatus>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/2/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Manager" type="application/xml" title="Manager" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/328/"/>
</ContactEmployment>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security">
<ContactSecurity>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Roles" type="application/xml" title="Roles">
<Roles>
<Role>Presenter</Role>
</Roles>
</Link>
</ContactSecurity>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields">
<CustomFields>
<Field>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/FieldDescription" type="application/xml" title="FieldDescription" href="https://demo.arlo.co/api/2012-02-01/auth/resources/fielddescriptions/f3a12b45-6c78-9de0-f1a2-b3c4d5e6f7a8/"/>
<Name>MembershipType</Name>
<Value>
<String>Annual</String>
</Value>
</Field>
</CustomFields>
</Link>
</Contact>
HTTP/1.1 201 Created Content-Length: 2042 Content-Type: application/xml; charset=utf-8 <Contact> <ContactID>33223</ContactID> <UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier> <FirstName>Jane</FirstName> <LastName>Smith</LastName> <Email>jane@example.org</Email> <CodePrimary>SMITHJ02</CodePrimary> <PhoneMobile>+64 21 234 5678</PhoneMobile> <Status>Active</Status> <CreatedDateTime>2026-04-01T10:00:00.0000000Z</CreatedDateTime> <LastModifiedDateTime>2026-04-01T10:00:00.0000000Z</LastModifiedDateTime> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/customfields/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Tags" type="application/xml" title="Tags" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/tags/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/postaladdress/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/employment/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/integrationdata/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Registrations" type="application/xml" title="Registrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/registrations/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/regions/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Marketing" type="application/xml" title="Marketing" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/marketing/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PresenterIdentity" type="application/xml" title="PresenterIdentity" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/presenteridentity/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/33223/security/"/> </Contact>
